Redmine - Feature #1565

Custom query on My page
2008-07-03 09:59 - Andrea Maleci

Status: Closed Start date: 2008-07-03

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version: 3.4.0

Resolution: Fixed

Description

Should be nice to add on my page folder a saved custom query.

Related issues:

Related to Redmine - Feature #662: Make issue lists on "My Page" customizable Closed 2008-02-13
Related to Redmine - Feature #12223: Make "My Page"-Widgets filterable Closed

Related to Redmine - Feature #574: Add "My issues" to main menu New

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Defect #23574: Issue subjects are truncated at 60 charac... Closed

Related to Redmine - Feature #27313: More custom queries on My page New

Related to Redmine - Feature #2920: filter issues assigned to me by project Closed 2009-03-06
Related to Redmine - Feature #9314: Filtering query with statement condition ... Closed 2011-09-23
Has duplicate Redmine - Patch #3220: Custom queries as my page widget Closed 2009-04-22
Has duplicate Redmine - Feature #2881: Direct links to Custom queries on "My ... Closed

Has duplicate Redmine - Patch #217: New &quot;Open Issues assigned to me&quot... Closed

Has duplicate Redmine - Feature #8808: My custom queries on My page Closed 2011-07-14
Has duplicate Redmine - Feature #8228: Allow custom filter to be used on "My ... Closed 2011-04-26
Has duplicate Redmine - Feature #8304: Add custom queries to "My Page" Closed 2011-05-05
Has duplicate Redmine - Feature #1710: ability to change the query that displ... Closed 2008-07-29
Has duplicate Redmine - Feature #1051: My Page - Customisaton / Default behav... Closed 2008-04-13
Has duplicate Redmine - Feature #4677: Add a filter on the "My reported issue... Closed 2010-01-28
Has duplicate Redmine - Feature #4001: Configuration of My page Closed 2009-10-08
Has duplicate Redmine - Feature #6707: Order of my Issues Closed 2010-10-20
Has duplicate Redmine - Feature #5563: provide more information about "target... Closed 2010-05-20
Has duplicate Redmine - Feature #9479: Add a custom filtered issues block to ... Closed 2011-10-27

Associated revisions

Revision 16400 - 2017-03-14 19:18 - Jean-Philippe Lang

Let user choose columns and sort order of issue lists on "My page" (#1565).

Revision 16404 - 2017-03-14 19:42 - Jean-Philippe Lang
Adds Ul test for sorting issues on "My page" (#1565).

Revision 16406 - 2017-03-15 18:59 - Jean-Philippe Lang
Let user display a custom query on "My page" (#1565).

Revision 16409 - 2017-03-15 19:14 - Jean-Philippe Lang
Fix link to issues when displaying a project query (#1565).

Revision 16413 - 2017-03-16 19:02 - Jean-Philippe Lang

Allow multiple instances of custom queries on My page (#1565).

Revision 16415 - 2017-03-16 21:16 - Jean-Philippe Lang
Fix tests (#1565).

History

#1 - 2010-11-12 21:28 - Johann Chaves

Does anybody knows what happened to this issue?
#2 - 2010-11-13 16:36 - Mischa The Evil
Johann Chaves wrote:

Does anybody knows what happened to this issue?

AFAICS: nothing (yet)...

#3 - 2011-01-05 22:42 - James Rowe

| agree. Should be able to have custom queries as a droppable block on my page.

Take the look and feel of 'issues I'm watching' and put in issues returned from a custom query.

+1

#4 - 2011-01-07 00:37 - Landon Harsh

There is a plugin called "MyPage custom queries" that will do this, but it does not honor the columns from the query which | think is critical.
+1 for this with the columns from the query honored.

#5 - 2011-01-18 11:24 - Irfan Adilovic

+1

| don't have a use for closed issues in the watched and reported issues queries; I'd like to customize them or replace them with custom ones.
#6 - 2011-01-24 12:34 - Tobias Verbeke

+1

would significantly reduce clicking around to have a quick overview when starting to work; this feature request was the first one team members made
since the introduction of redmine for our project management

#7 - 2011-01-27 01:11 - Milan Stastny

MyPage custom queries is my quick creation withouth much of a testing and feedback from anybody, so if you try it out and find out that it works close
to your liking I'll be more than happy to finish it. Just let me know, on github/mail, anywhere.

#8 - 2011-01-27 18:05 - Landon Harsh

| am utilizing the MyPage custom queries plugin. | thought it was going to do exactly what | wanted, but | was a bit disappointed for one reason. It
does not honor the specifics of the query, displayed coloumns, sort order, those kinds of things. If it did honor all parameters of the query, this would
be a perfect solution for my particular situation.

| appreciate what you have done so far, it is a great start! Thank you.
#9 - 2011-02-01 03:21 - Ladislav Nesnera
These tickets seem be related or duplicate too:

e duplicate
o #1991

o 0O 0O 0 o
iy
(23
(2]
N

o #493 (remaining paragraph 4)
e related
https://www.redmine.org/issues/5563

#10 - 2011-03-11 16:57 - Etienne Massip
- Category set to My page

#11 - 2011-04-20 09:49 - Pavel Pivovarov

So whats happening with that feature? Has anyone find solution?

#12 - 2011-04-20 15:24 - Ladislav Nesnera

I'm afraid there is nobody who care this feature :-(

#13 - 2011-05-23 10:31 - pasquale [:dedalus]

+1

#14 - 2011-07-14 16:14 - lvan Cenov

+1

#15 - 2011-08-02 01:40 - Josh Davidson

+1. Customizing the "my page" calendar based on query would also be welcome.

#16 - 2011-08-24 17:04 - Cyril Dubus

+1 That feature would be more than great ! I'm so frustrated when | click on "My page" and | cannot see the issues | want to see.

#17 - 2011-09-15 19:41 - Michael Kling
+1:D

#18 - 2012-01-17 22:33 - Steven Bidny

+1

#19 - 2012-01-25 12:28 - Julian Xhokaxhiu

C'mon, other issue tracker does have this (like Mantis or Trac). +1!

#20 - 2012-01-25 21:21 - Hannes Meier

+1

#21 - 2012-02-02 11:01 - John Wilcox

This feature would be very useful. As it is now, the "my page" is a bit pointless, since custom queries are not available and default listing is not
sufficient at all.

#22 - 2012-02-14 11:05 - Stephan Georg

+1 would really be helpful and improving usability.

#23 - 2012-03-07 08:30 - Yassen Damyanov

+1 We badly need this functionality to provide customized blocks on "My Page" for various cases.

#24 - 2012-04-25 15:35 - Attila Nagy

+1

#25 - 2012-05-17 14:53 - Kenneth Scott

+1

#26 - 2012-05-21 14:25 - Wim DePreter

+1

#27 - 2012-05-25 08:43 - Wolfgang Neudorfer

+1

#28 - 2012-06-03 12:37 - Jean Spector

+1, though check out https:/github.com/alvila/redmine_my_page_queries
#29 - 2012-06-05 08:39 - Vladimir Pitin

+1

#30 - 2012-06-25 16:30 - Schollii Tron

This is clearly a much needed feature. Shouldn't this ticket's priority be upped? Also, could someone with required permisssions add the tickets
mentioned in "duplicates" from comment 9 to the "related" for this ticket?

From looking at all these tickets, a view block that allows you to display one of your saved reports would do the trick, no? Even better, if you could
"instantiate” more than one of those view blocks, as some people want to see several reports simultaneously.

#31 - 2012-11-14 19:06 - Christopher Bebry

+1

#32 - 2013-01-07 16:56 - Gary Barclay

+1 for me...I won't upgrade until this feature is implemented.
We are using the plugin MyPage queries which allows us to create lists of auto generated issues of a specific type.

#33 - 2013-02-03 02:43 - Pat Méachler

+1

#34 - 2013-02-07 12:13 - Eugene Fokin

+1

#35 - 2013-02-14 17:17 - Bob Walasek

+1 This would be a great feature!

#36 - 2013-03-25 11:51 - Leos Prikryl

+1

#37 - 2013-03-25 22:48 - Dipan Mehta

+1. This is a very demanded feature in our company.

#38 - 2013-03-26 07:33 - Leos Prikryl

This plugin https://github.com/Undev/redmine_my_page_queries works fine with Redmine 2.3.0.

#39 - 2013-03-26 14:08 - Dipan Mehta

Leos Prikryl wrote:

This plugin https:/github.com/Undev/redmine_my_page_queries works fine with Redmine 2.3.0.

This is a great plugin and works! This really transforms the "my page" experience. However, | saw one limitation. The regular query page allows you
to sort the issue list based on different fields where as here they are only based on issue ID. Is it possible to provide sort order?

Thanks for the plugin.
#40 - 2013-03-26 14:46 - Leos Prikryl
Dipan Mehta wrote:

This is a great plugin and works! This really transforms the "my page" experience. However, | saw one limitation. The regular query page allows
you to sort the issue list based on different fields where as here they are only based on issue ID. Is it possible to provide sort order?

Thanks for the plugin.

It's not my plugin. | just found it. You would have to contact the authors with your feature request.

#41 - 2013-04-24 15:02 - Ralph Twele

+1 | could not get https:/github.com/Undev/redmine_my_page_queries to work on my Redmine 2.3.0 Bitnami native stack for Windows.

#42 - 2013-04-25 07:56 - Leos Prikryl

| am running https:/github.com/Undev/redmine_my_page_gqueries successfully on Redmine 2.3.0 Bitnami native stack for Windows. If you need help,
please send me details of your problem to leos.prikryl@gmail.com.

#43 - 2013-06-24 10:07 - Sven Wermers

+1

#44 - 2013-09-25 02:42 - Toshi MARUYAMA
- Related to Feature #12223: Make "My Page"-Widgets filterable added

#45 - 2013-10-31 16:44 - firzen pan

Ralph Twele wrote:

+1 1 could not get https://github.com/Undev/redmine_my_page_queries to work on my Redmine 2.3.0 Bitnami native stack for Windows.

It works fine on my redmine 2.3.3 Bitnami stack for linux. Great works!!!

#46 - 2013-12-10 16:34 - Marc D.

+1

#47 - 2014-05-27 14:38 - Kevin Palm

+1

#48 - 2014-06-24 01:07 - Toshi MARUYAMA

- Related to Feature #17006: Hide issues from closed project on my page added

#49 - 2014-06-24 01:08 - Toshi MARUYAMA
- Related to deleted (Feature #17006: Hide issues from closed project on my page)

#50 - 2014-06-24 01:20 - Toshi MARUYAMA
- Has duplicate Feature #1710: ability to change the query that displays "Issues Assigned to me" on the My Page added

#51 - 2014-06-24 01:33 - Toshi MARUYAMA
- Has duplicate Feature #1051: My Page - Customisaton / Default behaviour - Reported Issues added

#52 - 2014-06-24 01:37 - Toshi MARUYAMA
- Has duplicate Feature #4677: Add a filter on the "My reported issues" block added

#53 - 2014-06-24 01:41 - Toshi MARUYAMA
- Has duplicate Feature #4001: Configuration of My page added

#54 - 2014-06-24 01:49 - Toshi MARUYAMA
- Related to Feature #574: Add "My issues" to main menu added

#55 - 2014-06-24 01:55 - Toshi MARUYAMA
- Has duplicate Feature #6707: Order of my Issues added

#56 - 2014-06-24 01:57 - Toshi MARUYAMA

- Has duplicate Feature #5563: provide more information about "target version" added

#57 - 2014-07-10 15:11 - Lukasz Kszonowski

+1

#58 - 2014-07-14 20:42 - Antonio De Marinis

+1
This is really a much wanted feature that would lift up redmine to become similar to thise kanban-like system like trello, kanbanize, targetprocess and
SO on.

What those system are good at is to provide the "kanban board" column view of issues.
if we just implement this feature with a flexible multi-column/grid layout, you have basically got a very powerfull and flexible board anybody can share.

This would make also several scrum/kanban redmine plugins redundant and obsolete. Users would not need to feel the need to move to other
modern kanban systems.

#59 - 2014-09-10 16:06 - Youssoupha Sambe

+1
This feature is vital for Redmine, for it just increase rentability of the application.

The only available plugin for this is not "complete" as it just allow query editing.
Furthermore there is no point, | think, having a table and not be able to sort it and/or edit the columns using the UI.

Personally | need it to allow users to see the issues that are assigned to them with due date, and | need the widget to be editable like the table in
issue tab.

#60 - 2014-10-17 17:10 - Olivier Houdas

+1
People in our company also request me (their Redmine admin) to be able to use their own filter as a Mypage component.

#61 - 2014-10-24 09:58 - Matthew Seng

+1
Will be a great feature to have.

#62 - 2014-12-02 22:24 - jean forichon

Yes we need that!

#63 - 2015-02-09 13:39 - Jens Kramer
- File master_1565.diff added
- File 2.6 _stable 1565.diff added

Hi,

we just built that here at Planio, and we'd really like to see this make its way into Redmine Core.

This patch enables users to add any number of custom queries to their 'My page'. For the sake of consistency the number of issues shown for each
query is limited to 10, as is the case with the pre-defined issue blocks. Going further and to make this even more useful, it would be nice to have a
way to give users the ability to change this limit either globally or per block.

Attached you find patches for current master and 2.6-stable branch.

Cheers,
Jens

#64 - 2015-02-10 21:03 - Jan from Planio www.plan.io

- Assignee set to Jean-Baptiste Barth

Jean-Baptiste, are you still looking for "committable" patches? This one is a bit lengthy, but in my opinion it's a great improvement for the My Page
section and telling by the +1's here on redmine.org and from our clients at Planio, | think it would be well received.

#65 - 2015-02-10 23:10 - Tobias Fischer

Awesome, thank you Jens! :)

| did basic tests with latest 2.6 branch and can confirm the 2.6_patch works well!
Would be great if we could have this implemented in the next redmine version...

#66 - 2015-04-14 22:51 - Le Distordu
+1 High priority !l

#67 - 2015-05-07 09:42 - Chet Wang

I'm using redmine 3.0.1, but this feature is still missing....
Jens Priesen Kramer
Is your patch available to redmine v3? or could you please provide an v3 compatible patch?
#68 - 2015-05-07 10:14 - Chet Wang

Could someone re-assign this issue to Jean-Philippe Lang? It seems that Jean-Baptiste Barth hasn't been logging in redmine.org for months!

#69 - 2015-05-08 16:21 - Rupesh J

@Chet and others, This may be interesting for you guys..
Redmine My Page Plugin

#70 - 2015-05-11 12:04 - Chet Wang

Rupesh J wrote:

@Chet and others, This may be interesting for you guys..
Redmine My Page Plugin

This is greatD | suggest you register it into redmine plugin repository. | will give you 5 stars!

#71 - 2015-05-27 08:06 - Toshi MARUYAMA
- Has duplicate Feature #9479: Add a custom filtered issues block to 'My page' added

#72 - 2015-05-27 08:07 - Toshi MARUYAMA
- Related to Feature #12789: Redmine - design study added

#73 - 2016-04-05 13:52 - Jean Louis

+1

#74 - 2016-06-14 09:05 - Sergey Startsev

+1

#75 - 2016-06-16 09:07 - Rupesh J
Chet Wang wrote:

This is greatll | suggest you register it into redmine plugin repository. | will give you 5 stars!

Its already registered : http:/www.redmine.org/plugins/redmine_my_page

#76 - 2017-02-27 22:46 - Marius BALTEANU

- File rm_1565_issues_from_custom_query.patch added

| made a patch that implements a new block which returns the issues from a selected query. For consistency with the other issue blocks, | chose to
limit the results to 10 and use the same columns. | think that customising the number of results and the columns displayed should be made in other
ticket and should be available for all issue blocks.

#77 - 2017-03-01 14:58 - Go MAEDA
- File my-page-query-setting.png added
- File my-page-query.png added

- Target version set to Candidate for next major release

These are screenshots of Marius BALTEANU's patch attached on #1565#note-76.
My page

Issues from custom query

Custom gquer +
Multiple custom fields query
save Cancel Open issues grouped by list custom fikld
Open issues grouped by tracker
Public query for all projects
Public query for project 2

My page
Issues from query: Open issues by priority and tracker (12)
i Project Status Subject
Bug #7 eCookbook MNew Issue due today
Bug #9 Private child of eCookbook  New Blocked Issue
Bug #10 Private child of eCookbook  New Issue Doing the Blocking
Bug #14 eCookbook Subproject 1 MNew Private issue on public project
Bug #76 eCookbook MNew aaa
Feature request #2 eCookbook Assigned Add ingredients categories
Bug #1 eCookbook MNew Cannot print recipes
Bug #3 eCookbook MNew Error 281 when updating a recipe
Bug #4 OnlineStore MNew Issue on project 2
Bug #5 eCookbook Subproject 1 MNew Subproject issue

#78 - 2017-03-05 03:27 - Go MAEDA
- Assignee deleted (Jean-Baptiste Barth)

- Target version changed from Candidate for next major release to 3.4.0

Many users have been waiting for this feature (40 "+1"s, 13 duplicate issues).
Setting target version to 3.4.0.

#79 - 2017-03-09 20:14 - Jean-Philippe Lang

Thanks for the patch Marius. | think it would make sense to render the query with its column (instead of the default one used for other lists on "my
page"), what do you think?

#80 - 2017-03-09 21:05 - Marius BALTEANU

It'll be great to render the query with its column. That means we should use the list partial instead of the list_simple or to modify the list_simple to
support custom columns. Another benefit of list partial is the grouping feature.

Please let me know which solution sounds better for you.

#81 - 2017-03-09 21:37 - Jean-Philippe Lang

I've just made a few changes to the "list" partial in order to use local variables, we should be able to use it.

#82 - 2017-03-09 21:39 - Marius BALTEANU
Thanks, I'll update the patch.

#83 - 2017-03-10 09:24 - Marius BALTEANU

- File rm_1565_issues_from_custom_query.patch added

Here it is the updated patch. Issues are now rendered using the "list" partial with these features: custom columns, sorting and grouping.

The number of issues displayed are still limited to 10. We should change this too and make it configurable in the block?
#84 - 2017-03-16 23:44 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Thanks Marius, I've reworked the patch a bit after | made more changes to the management of "My page". I've also implemented the possibility for
some blocks to be displayed multiple times, with different settings. So it's now possible:

e to select the columns and sort order of existing issue lists (assigned, reported and watched issues)
¢ to display up to 3 custom queries

| think we can close it.

#85 - 2017-03-17 18:46 - Marius BALTEANU

Thanks Jean-Philippe Lang! | tested all of your changes regarding "My page" and they looks very good. I'm impressed :)
| have only one small observation, it is ok to let the user to add the same custom query multiple times?

Also, I'm thinking now that could be quite useful to add two new options for each block:

- refresh the block: for users who want to refresh only one block from my page

- full screen: for users who want to view a block on full screen.
For both of them I'll open a new issue when I've the patches ready.

#86 - 2017-08-10 14:36 - Martin Blom

Why only 3 custom queries?

#87 - 2017-08-18 10:29 - Martin von Wittich

| just stumbled over that 3 custom query limit too. | would very much like to use more queries :(

#88 - 2017-08-29 16:27 - Toshi MARUYAMA

Martin von Wittich wrote:

| just stumbled over that 3 custom query limit too. | would very much like to use more queries :(

Please create new feature issue because this issue is closed.

#89 - 2017-10-15 04:16 - Go MAEDA

- Related to Defect #23574: Issue subjects are truncated at 60 characters on my page added

#90 - 2017-10-27 16:44 - Igor Rybak
Toshi MARUYAMA wrote:

Martin von Wittich wrote:

| just stumbled over that 3 custom query limit too. | would very much like to use more queries :(

Please create new feature issue because this issue is closed.

#27313

#91 - 2017-10-29 15:19 - Marcello Lussana

| still do not understand: is it possible to edit the list of queries of the "My page block" dropdown menu?
If yes, how can that be done?

thanks!
#92 - 2017-11-25 18:23 - Toshi MARUYAMA
Marcello Lussana wrote:

| still do not understand: is it possible to edit the list of queries of the "My page block" dropdown menu?
If yes, how can that be done?
Please use forum for question.
This issue is closed.

#93 - 2018-10-07 22:42 - Marius BALTEANU
- Related to Feature #27313: More custom queries on My page added

#94 - 2019-02-03 05:54 - Go MAEDA

- Related to Feature #2920: filter issues assigned to me by project added

#95 - 2020-04-12 10:29 - Go MAEDA

- Related to Feature #9314: Filtering query with statement condition not mantain sort criteria added
